/** @type {import('tailwindcss').Config} */
import colors from 'tailwindcss/colors'

export default {
  content: ['./index.html', './src/**/*.{vue,js,ts,jsx,tsx}'],
  darkMode: 'media',
  theme: {
    colors: {
      ...colors,
      'whatsapp': {
        DEFAULT: '#25D366',
        400: '#66e094',
        300: '#92e9b3',
        dark: '#075E54',
        second: '#128c7e',
        gossip: '#dcf8c6',
        bg: '#ece5dd', // '#efeae2' '#eae6df' '#d1d7db'
        bgdark: '#0b141a',
        me: '#d9fdd3', // '#d9fdd3' '#e1fef2'
      },
      'wai': {
        DEFAULT: '#25D366',
        400: '#66e094',
        300: '#92e9b3',
        dark: '#075E54',
        second: '#128c7e',
        gossip: '#dcf8c6',
        bg: '#ece5dd', // '#efeae2' '#eae6df' '#d1d7db'
        bgdark: '#0b141a',
        me: '#d9fdd3', // '#d9fdd3' '#e1fef2'
      },
      'waba': {
        DEFAULT: '#2ba84a',
        900: '#0E3719',
        800: '#155325',
        700: '#1D6F31',
        600: '#248B3D',
        500: '#2ba84a',
        400: '#38CC5D',
        300: '#60D67D',
        200: '#87E09E',
        100: '#AFEABE',
        dark: '#075E54',
        second: '#128c7e',
        me: '#ccd5ae', // '#e1fef2', // '#d9fdd3' '#00a884'
      },
      'primary': '#1ba784',
    },
    extend: {
      // gridTemplateColumns: {
      //   'responsive':repeat(autofill,minmax('300px',1fr))
      // }
      boxShadow: {
        '1md': '0 0 4px 2px rgba(0, 0, 0, 0.1), 0 1px 2px 0 rgba(0, 0, 0, 0.06)',
        'heavy': '0 1px 7px 1px rgba(0, 0, 0, 0.3)',
        '3xl': '0 35px 60px -15px rgba(0, 0, 0, 0.3)',
      }
    },
  },
  plugins: [],
  corePlugins: {
    preflight: false,
    divideColor: true,
  }
};
/**
 * WhatsApp
    --outgoing-background: #d9fdd3;
    --outgoing-background-rgb: 217, 253, 211;
    --outgoing-background-deeper: #d1f4cc;
    --outgoing-background-deeper-rgb: 209, 244, 204;
    --outgoing-background-highlight: #c4eec8;
    --outgoing-background-highlight-rgb: 196, 238, 200;
    --overlay: #0b141a;
    --overlay-rgb: 11, 20, 26;
    --panel-background: #f0f2f5;
    --panel-background-rgb: 240, 242, 245;
    --panel-background-active: #dee0e3;
    --panel-background-active-rgb: 222, 224, 227;
    --panel-background-colored: #008069;
    --panel-background-colored-rgb: 0, 128, 105;
    --panel-background-colored-deeper: #008069;
    --shadow-rgb: 11, 20, 26;
 */
