module.exports = {
  env: {
    node: true,
    es2021: true,
  },
  extends: ['standard', 'prettier', 'plugin:prettier/recommended'],
  plugins: ['n', 'prettier'],
  parserOptions: {
    ecmaVersion: 'latest',
    sourceType: 'module',
  },
  rules: {
    'prettier/prettier': ['warn', { parser: 'flow' }],
    'n/exports-style': ['warn', 'module.exports'],
    'n/file-extension-in-import': ['error', 'always'],
    'n/prefer-promises/dns': 'error',
    'n/prefer-promises/fs': 'error',
    'no-unused-vars': ['warn', { argsIgnorePattern: '^_', varsIgnorePattern: '^_' }],
    'no-console': ['warn', { allow: ['warn', 'error'] }],
  },
  overrides: [
    {
      files: ['test/**/*.js'],
      env: {
        mocha: true,
      },
    },
  ],
};
