const log4js = require('log4js');

const logConfig = {
  appenders: {
    everything: {
      type: 'dateFile',
      filename: 'logs/app',
      pattern: 'yyyy-MM-dd.log',
      alwaysIncludePattern: true,
      numBackups: 7, // the number of old files that matches the pattern to keep (excluding the hot file).
      compress: false,
    },
    emergencies: { type: 'dateFile', filename: 'logs/error', pattern: 'yyyy-MM-dd.log', alwaysIncludePattern: true, numBackups: 30 },
    errors: {
      type: 'logLevelFilter',
      appender: 'emergencies',
      level: 'error',
    },
    // "everything": {
    //   "type": "multiFile",
    //   "base": "logs/app.",
    //   "property": "startTime",
    //   // "extension": ".log",
    //   "pattern": "yyyy-MM-dd.log",
    //   // "pattern": "yyyy-MM-dd",
    //   "alwaysIncludePattern": true,
    //   "maxLogSize": 10485760,
    //   "backups": 3,
    //   "compress": true
    // }
  },
  categories: {
    default: {
      appenders: ['everything', 'errors'],
      level: 'debug',
    },
    // sql: {
    //   appenders: ['everything'],
    //   level: 'debug',
    // },
  },
};
log4js.configure(logConfig);

// log4js.configure({
//   appenders: { cheese: { type: 'file', filename: 'cheese.log' } },
//   categories: { default: { appenders: ['cheese'], level: 'error' } }
// });

const logger = log4js.getLogger();
// console.log = logger.info.bind(logger);
// console.info = logger.info.bind(logger);
console.error = logger.error.bind(logger);

module.exports = {};
