'use strict';

const fs = require('fs');
const path = require('path');

const basePath = path.join(__dirname, 'components');

function applyMiddleware(app) {
  const components = fs.readdirSync(basePath);
  const nosorts = components.filter(item => item.indexOf('request.middleware') === -1);

  [...nosorts, 'request.middleware.js'].forEach(file => {
    const componentMiddleware = require(path.join(basePath, file));
    app.use(componentMiddleware);
  });

  // const requestHandler = require(path.join(basePath, 'request.middleware.js')); // 必须在最后
  // app.use(requestHandler);
}

module.exports = applyMiddleware;
