const Sequelize = require('sequelize');
module.exports = function(sequelize, DataTypes) {
  return sequelize.define(
    'connections',
    {
      id: {
        autoIncrement: true,
        type: DataTypes.BIGINT,
        allowNull: false,
        primaryKey: true,
      },
      wa_id: {
        type: DataTypes.STRING(100),
        allowNull: true,
      },
      sesson_id: {
        type: DataTypes.STRING(255),
        allowNull: true,
      },
      channel_id: {
        type: DataTypes.STRING(255),
        allowNull: true,
      },
      createtime: {
        type: DataTypes.DATE,
        allowNull: true,
        defaultValue: Sequelize.Sequelize.literal('CURRENT_TIMESTAMP'),
      },
      status: {
        type: DataTypes.STRING(100),
        allowNull: true,
      },
      version: {
        type: DataTypes.STRING(100),
        allowNull: true,
      },
      service_type: {
        type: DataTypes.STRING(100),
        allowNull: true,
      },
      updatetime: {
        type: DataTypes.DATE,
        allowNull: true,
        defaultValue: Sequelize.Sequelize.literal('CURRENT_TIMESTAMP'),
      },
      connect_domain: {
        type: DataTypes.STRING(255),
        allowNull: true,
      },
      connect_name: {
        type: DataTypes.STRING(100),
        allowNull: true,
      },
      opentime: {
        type: DataTypes.DATE,
        allowNull: true,
      },
      closetime: {
        type: DataTypes.DATE,
        allowNull: true,
      },
    },
    {
      sequelize,
      tableName: 'connections',
      timestamps: false,
      indexes: [
        {
          name: 'PRIMARY',
          unique: true,
          using: 'BTREE',
          fields: [{ name: 'id' }],
        },
      ],
    },
  );
};
