var DataTypes = require('sequelize').DataTypes;
var _agent_sessions = require("./agent_sessions");
var _connections = require('./connections');
var _outbound_messages = require("./outbound_messages");
var _request_logs = require('./request_logs');
var _webhook_logs = require('./webhook_logs');

function initModels(sequelize) {
  var agent_sessions = _agent_sessions(sequelize, DataTypes);
  var connections = _connections(sequelize, DataTypes);
  var outbound_messages = _outbound_messages(sequelize, DataTypes);
  var request_logs = _request_logs(sequelize, DataTypes);
  var webhook_logs = _webhook_logs(sequelize, DataTypes);

  return {
    agent_sessions,
    connections,
    outbound_messages,
    request_logs,
    webhook_logs,
  };
}
module.exports = initModels;
module.exports.initModels = initModels;
module.exports.default = initModels;
